---

- name: output inventory
  hosts: dhadlx143.dns21.socgen

  tasks:
    - name: debug
      debug: 
        msg:
          - "{{ inventory_hostname }}"
          - "{{ inventory_dir }}"
          - "{{ inventory_file }}"
#          - "{{ ansible_inventory_sources }}"
      delegate_to: localhost
      run_once: true

    - name: run ansible-inventory
      shell: "ansible-inventory -i {{ inventory_dir }} --list"
      run_once: true
      delegate_to: localhost
      register: cmd_out
#      with_items: "{{ ansible_inventory_sources }}"

    - debug:
        msg:
          - "{{ cmd_out.stdout }}"
          - "{{ cmd_out.stderr }}"
      run_once: true
#      with_items: "{{ cmd_out.results }}"




...
